package log

import (
	"log-server/global"
	"time"
)

type DeviceErrLog struct {
	Id         uint      `json:"id"`
	Content    string    `json:"content"`
	GameId     int       `json:"game_id"`
	PcCode     string    `json:"pc_code"`
	CreateDate time.Time `json:"create_date"`
	CreateTime time.Time `json:"create_time"`
	Err        string    `json:"err"`
	Status     uint      `json:"status"`
}

func (DeviceErrLog) TableName() string {
	return "device_err_log"
}

func (m *DeviceErrLog) Create() error {
	return global.GVA_DB.Create(m).Error
}
